summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2020-08-31 01:14:12 +0200
committerDavid Seifert <soap@gentoo.org>2020-08-31 01:14:12 +0200
commit3e6f2c3058ecec47412b31b7a44f9737b230db56 (patch)
tree686dc1d46be238b00a99258394d1b9c0859c64e5
parentnet-misc/chrony: Stabilize 3.5.1-r1 sparc, #738154 (diff)
downloadgentoo-3e6f2c3058ecec47412b31b7a44f9737b230db56.tar.gz
gentoo-3e6f2c3058ecec47412b31b7a44f9737b230db56.tar.bz2
gentoo-3e6f2c3058ecec47412b31b7a44f9737b230db56.zip
app-office/plan: Port to EAPI 7
Closes: https://bugs.gentoo.org/726664 Closes: https://bugs.gentoo.org/729516 Closes: https://bugs.gentoo.org/734346 Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: David Seifert <soap@gentoo.org>
-rw-r--r--app-office/plan/Manifest2
-rw-r--r--app-office/plan/plan-1.10.ebuild49
2 files changed, 22 insertions, 29 deletions
diff --git a/app-office/plan/Manifest b/app-office/plan/Manifest
index 547915e2fff..1b53f3c15fb 100644
--- a/app-office/plan/Manifest
+++ b/app-office/plan/Manifest
@@ -1,2 +1,2 @@
-DIST plan-1.10-gentoo.tar.xz 5976 BLAKE2B 598c92a750fc0a305d7f51211f9e42eae36644de1a83175fcb86c8c30450b8fc1e7d2eabbaced62779d80b557f7f725c97395bc744171952970faa3543abba2f SHA512 60fcfe1fec1d7911a155d6737e6a808ea897ce7c4207bd2f4e95f57b1d154d8d594c6f5ecc8a959cc0d7f47f1415f86797e0c4053873775decfc048bc16048a3
+DIST plan-1.10-patches.txz 6132 BLAKE2B 617c68a012e4757f7ef039557cfe15e04706129501f044005e554a50aa9ebbe9e33e2e406ec5647060a7b67efb81b671c35eb6846d426a26c517c38b10e7eabb SHA512 c0802f12e935d7ab18d89b6c4e8ae8373ca620b8149520b8bc9d9fb8e871ad4c2b0bc0e7ca84c34e72d0a25cb406af51fac1fc1907844867f4fd7fdff8a06d54
DIST plan-1.10.tar.gz 460150 BLAKE2B a44c79537ff6aae8fa5c65c8b6514f0f37d1417522f4e54823ad14cf6306bb88223377de13f22c365516e2861fa561902e31245c9729786f425140bed30b320d SHA512 fde17ef17f25412cbe69427364f4130564f46a940859066c25d837d14eca6920752b843211192a6c1cdc83be05de9ac57c88424ca555928b67eb219fa8564fe8
diff --git a/app-office/plan/plan-1.10.ebuild b/app-office/plan/plan-1.10.ebuild
index bb35e518156..e16129ffdb1 100644
--- a/app-office/plan/plan-1.10.ebuild
+++ b/app-office/plan/plan-1.10.ebuild
@@ -1,65 +1,58 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=7
-inherit eutils toolchain-funcs
+inherit toolchain-funcs
DESCRIPTION="Motif based schedule planner"
HOMEPAGE="https://www.bitrot.de/plan.html"
-SRC_URI="ftp://ftp.fu-berlin.de/unix/X11/apps/plan/${P}.tar.gz
- mirror://gentoo/${P}-gentoo.tar.xz"
+SRC_URI="
+ ftp://ftp.fu-berlin.de/unix/X11/apps/plan/${P}.tar.gz
+ https://dev.gentoo.org/~soap/distfiles/${P}-patches.txz"
LICENSE="GPL-2+" #448646
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~sparc ~x86"
-IUSE=""
-DEPEND="
- x11-libs/libXpm
- >=x11-libs/motif-2.3:0
-"
-RDEPEND="${DEPEND}"
+RDEPEND="
+ x11-libs/libX11
+ x11-libs/libXt
+ x11-libs/motif:0"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ sys-devel/bison
+ sys-devel/flex"
-QA_PRESTRIPPED="
-/usr/bin/netplan
-/usr/bin/plan
-"
-src_prepare() {
- epatch "${WORKDIR}"/${P}-patches/*.patch
-}
+PATCHES=( "${WORKDIR}"/patches )
src_compile() {
- pushd src
- emake CC=$(tc-getCC) SHARE=/usr/share/plan linux
- popd
+ emake -C src CC="$(tc-getCC)" SHARE=/usr/share/plan linux
}
src_install() {
- pushd src
- emake \
- DESTDIR="${D}" \
+ emake -C src \
+ DESTDIR="${ED}" \
SHARE=/usr/share/plan \
install
keepdir /usr/share/plan/netplan.dir
- popd
dodoc HISTORY README
- pushd misc
+ pushd misc >/dev/null || die
doman netplan.1 plan.1 plan.4
insinto /usr/share/${PN}/misc
doins netplan.boot BlackWhite Monochrome plan.fti Plan.xpm plan.xpm
exeinto /usr/share/${PN}/misc
doexe Killpland cvs vsc msschedule2plan plan2vcs
- popd
+ popd >/dev/null || die
- pushd web
+ pushd web >/dev/null || die
insinto /usr/share/${PN}/web
doins help.html bottom.html cgi-lib.pl common.pl holiday_webplan rtsban.jpg
exeinto /usr/share/${PN}/web
doexe *.cgi
- popd
+ popd >/dev/null || die
}
pkg_postinst() {